# GroovyPlugin

abstract class GroovyPlugin : Plugin<T>

A Plugin which extends the JavaPlugin to provide support for compiling and documenting Groovy source files.

#### See also

<a href="https://docs.gradle.org/current/userguide/groovy_plugin.html">Groovy plugin reference</a>

## Constructors

GroovyPlugin
Link copied to clipboard
constructor()

## Properties

GROOVYDOC_TASK_NAME
Link copied to clipboard
val GROOVYDOC_TASK_NAME: String = "groovydoc"

## Functions

apply
Link copied to clipboard
open fun apply(project: Project)